Dpkg::BuildTree(3perl)

NAME
Dpkg::BuildTree - handle build tree actions

DESCRIPTION
The Dpkg::BuildTree module provides functions to handle build tree actions.

Note: This is a private module, its API can change at any time.

METHODS

$bt = Dpkg::BuildTree->new(%opts)
    Create a new Dpkg::BuildTree object.

    Options:

    dir The build tree directory. If not specified, it assumes the current working directory.

$bt->clean()
    Clean the build tree, by removing any dpkg generated artifacts.

$bt->needs_root()
    Check whether the build tree needs root to build.

CHANGES

  Version 0.xx
This is a private module.